Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JPanel

    java.lang.Object
      charva.awt.Component
          charva.awt.Container
              charvax.swing.JPanel

Direct Known Subclasses:
  DateEntryField

public class JPanel
extends Container

JPanel is a generic lightweight container.

Field Summary

Fields inherited from class charva.awt.Container
`_components, _currentFocus, _insets, _isValid, _layoutMgr, _minimumSize, _size`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JPanel()` The default constructor sets the layout manager to FlowLayout.
`JPanel(LayoutManager layout_)` Use this constructor if you want to use a layout manager other than the default FlowLayout.

Method Summary
`void` | `debug(int level_)`
`void` | `draw()` Draws the border of the panel (if there is one), plus all the contained components.
`Border` | `getBorder()`
`Insets` | `getInsets()`
`void` | `setBorder(Border border_)`
`java.lang.String` | `toString()`

Methods inherited from class charva.awt.Container
`add, add, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getCurrentFocus, getHeight, getSize, getWidth, invalidate, isFocusTraversable, isValid, minimumSize, nextFocus, previousFocus, processKeyEvent, remove, requestFocus, setBackground, setFocus, setForeground, setHeight, setLayout, setSize, setSize, setWidth, validate`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, isDisplayed, isEnabled, isTotallyObscured, isVisible, processEvent, processFocusEvent, processMouseEvent, repaint, requestSync, setBounds, setBounds, setBounds, setEnabled, setLocation, setLocation, setName, setParent, setVisible, show, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JPanel

    public JPanel()

  The default constructor sets the layout manager to FlowLayout.

### JPanel

    public JPanel(LayoutManager layout_)

  Use this constructor if you want to use a layout manager other than the default FlowLayout.

Method Detail

### setBorder

    public void setBorder(Border border_)

### getBorder

    public Border getBorder()

### getInsets

    public Insets getInsets()

  Overrides:
    `getInsets` in class `Container`

### draw

    public void draw()

  Draws the border of the panel (if there is one), plus all the contained components.

  Overrides:
    `draw` in class `Container`

### toString

    public java.lang.String toString()

### debug

    public void debug(int level_)

  Overrides:
    `debug` in class `Container`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD